## plasma-widget-drop2ftp 0.4

=== CMakeLists.txt ===
# Project Needs a name ofcourse
project(plasma-drop2ftp)
 
# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
 
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )
 
# We add our source code here
set(drop2ftp_SRCS drop2ftp.cpp bookmarktraverser.cpp)
 
# Now make sure all files get to the right place
kde4_add_ui_files(drop2ftp_SRCS drop2ftpConfigDestination.ui drop2ftpConfigAppearance.ui)
kde4_add_plugin(plasma_applet_drop2ftp ${drop2ftp_SRCS})
target_link_libraries(plasma_applet_drop2ftp 
                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS})
 
install(TARGETS plasma_applet_drop2ftp
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES plasma-applet-drop2ftp.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

## plasma-widget-drop2ftp 0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,13 +13,18 @@
    )
  
 # We add our source code here
-set(drop2ftp_SRCS drop2ftp.cpp bookmarktraverser.cpp)
+set(drop2ftp_SRCS drop2ftp.cpp bookmarktraverser.cpp urlgenerator.cpp)
  
 # Now make sure all files get to the right place
-kde4_add_ui_files(drop2ftp_SRCS drop2ftpConfigDestination.ui drop2ftpConfigAppearance.ui)
+kde4_add_ui_files(drop2ftp_SRCS
+                  ui/drop2ftpConfigDestination.ui
+                  ui/drop2ftpConfigAppearance.ui
+                  ui/drop2ftpConfigBehavior.ui)
 kde4_add_plugin(plasma_applet_drop2ftp ${drop2ftp_SRCS})
 target_link_libraries(plasma_applet_drop2ftp 
-                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS})
+                      ${KDE4_PLASMA_LIBS}
+                      ${KDE4_KDEUI_LIBS}
+                      ${KDE4_KIO_LIBS})
  
 install(TARGETS plasma_applet_drop2ftp
         DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
plasma-widget-drop2ftp (0.6-0ubuntu5) maverick; urgency=low

  * Add fix_ftbfs_qt47.patch to fix FTBFS with Qt 4.7.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 26 Jun 2010 19:56:20 +0200

plasma-widget-drop2ftp (0.6-0ubuntu4) maverick; urgency=low

  * In all my other cleaning, I forgot to add the cmake build dep :/

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 19 May 2010 22:04:14 -0400

plasma-widget-drop2ftp (0.6-0ubuntu3) maverick; urgency=low

  * Add build-dep on cmake since kdelibs5-dev doesn't depend on it anymore
  * Switch to source format 3.0:
    - Bump debhelper build-dep to 7.3.16 or greater
    - Bump pkg-kde-tools build-dep to 0.5.0 or greater
  * Fix build-depend version of kdelibs5-dev
  * Bump Standards-Version to 3.8.4
  * Remove conflicts/replaces on old -kde4 packages
  * Transition to using the KDE debhelper sequence from pkg-kde-tools

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 19 May 2010 00:26:53 -0400

plasma-widget-drop2ftp (0.6-0ubuntu2) karmic; urgency=low

  * Transition from libplasma-dev to kdelibs5-dev
    - debian/control: change libplasma-dev to kdelibs5-dev
  * Transition from kde4.mk to pkg-kde-tools
    - debian/rules: Change '/usr/share/cdbs/1/class/kde4.mk' to
     '/usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk'
    - debian/control: Build-Depend on 'pkg-kde-tools'
  * Drop cmake from build-deps

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Sat, 23 May 2009 03:12:20 +0200

plasma-widget-drop2ftp (0.6-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #368984)
  * Bump Standards-Version to 3.8.1
  * Bump libplasma-dev to 4.2.2

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Wed, 29 Apr 2009 03:43:45 +0200

plasma-widget-drop2ftp (0.4-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Rename plasmoid-* to plasma-widget-* to match upstream naming policy
    - Conflicts/replaces plasmoid-quickaccess
    - Adjust package description

 -- Scott Kitterman <scott@kitterman.com>  Tue, 10 Feb 2009 00:32:27 -0500

plasmoid-drop2ftp (0.3.2-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #326750)

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Sun, 08 Feb 2009 03:09:04 +0100

plasmoid-drop2ftp (0.3.1-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #323333)

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Sat, 31 Jan 2009 03:30:47 +0100

=== debian/control ===
Source: plasma-widget-drop2ftp
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
 kdelibs5-dev (>= 4:4.2.85)
Standards-Version: 3.8.4
Homepage: http://kde-look.org/content/show.php/Drop2FTP?content=97281

Package: plasma-widget-drop2ftp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: plasmoid for copy files with every protocol
 This is a plasmoid which can copy files with every protocol which is
 supported by KIO. You can use it to copy files to a FTP server. You can
 click on the plasmoid to open file dialog or you can drag and drop your files
 on it.
